Subject: RE: [AVT] RFC2429-bis-09: Usage of INTERLACE parameter

From: "Christer Holmberg" <[email-masked]>
Date: Tue, 8 Aug 2006 19:07:19 +0300

Hi Roni,

Maybe I missunderstood your reply, but my question was: why can I not use NTERLACE *WITH* PROFILE and LEVEL?

Regards,

Christer

________________ Reply Header ________________
Subject:	RE: [AVT] RFC2429-bis-09: Usage of INTERLACE parameter
Author:	"Even, Roni" <[email-masked]>
Date:		8th August 2006 4:56:58 pm

Christer,
The idea is that you can use either profile and level or use the other
optional parameters to specify your capabilities.
This is how it works in H.323 and we tried to make it similar. The other
optional parameters are used only in conversional video conferencing.
The interlace parameter without profile means that the this
functionality is supported without relationship to a specific profile.
The profiles are defined in H.263 annex X which came late for the video
conferencing manufacturer who prefer to list the capabilities as
separate optional parameters and not be the groups defined as profile in
H.323 annex X.
  
Roni Even

> -----Original Message-----
> From: Christer Holmberg (JO/LMF)
[mailto:[email-masked]]
> Sent: Tuesday, August 08, 2006 4:45 PM
> To: [email-masked]
> Subject: [AVT] RFC2429-bis-09: Usage of INTERLACE parameter
> 
> 
> Hi,
> 
> I have a comment on draft-ietf-avt-rfc2429-bis-09.txt.
> 
> Chapter 8.1.2 defines the PROFILE, LEVEL and INTERLACE parameters.
> 
> The chapter also says: "The optional parameters PROFILE and LEVEL
SHALL
> NOT be used with any of the other optional parameters."
> 
> Now, I understand that one shall not use PROFILE and LEVEL together
with
> the QCIF, CIF parameters etc. But, as the text is written now you are
> not allowed to use PROFILE and LEVEL with INTERLACE either. Isn't that
> wrong?
> 
> Currently, if I remember correctly, interlacing is an option in
profile
> 7, and you would need the INTERLACE parameter to indicate whether to
use
> it or not.
> 
> I also think the following text is a little confusing:
> 
> "This parameter, if supported SHALL have the values "1".  If not
> supported, it should not be listed or SHALL have the value "0"
> 
> Shouldn't it say "This functionality" instead of "This parameter"?
> Because, if you don't support a parameter it's quite obvious you are
not
> going to list it...
> 
> Regards,
> 
> Christer
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt